Subject: bug#40563: 28.0.50; Narrow to defun in python buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 14 Dec 2020 17:00:30 +0100

Tomas Nordin <[email-masked]> writes:

> The patch fixes this report, but it doesn't allow narrowing nested
> python defuns (like a def in a class). For that I think it is necassary
> to look at narrow-to-defun. I intend to suggest something about that in
> another report.
>
> What do you think?

Looks good to me (and it fixes the bug described in this bug report), so
I've now applied the patch to Emacs 28.

This change was small enough to apply without assigning copyright to the
FSF, but for future patches you want to submit, it might make sense to
get the paperwork started now, so that subsequent patches can be applied
speedily. Would you be willing to sign such paperwork?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no